org.springframework.cloud.dataflow.server

## Class TaskValidationController

- java.lang.Object
- - org.springframework.cloud.dataflow.server.TaskValidationController

-     @RestController
       @RequestMapping(value="/tasks/validation")
       @ExposesResourceFor(value=TaskAppStatusResource.class)
      public class TaskValidationController
      extends Object

  Controller for operations on `ValidationStatus`.
  Author:
    Glenn Renfro

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskValidationController(TaskValidationService taskValidationService)` Create a `TaskValidationController` that delegates to `TaskValidationService`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TaskAppStatusResource` | `validate(String name)` Return `TaskAppStatusResource` showing the validation status the apps in a task.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskValidationController

          public TaskValidationController(TaskValidationService taskValidationService)

      Create a `TaskValidationController` that delegates to `TaskValidationService`.
      Parameters:
        `taskValidationService` - the task service to use

  - ### Method Detail

    - #### validate

          @RequestMapping(value="/{name}",
                          method=GET)
           @ResponseStatus(value=OK)
          public TaskAppStatusResource validate(@PathVariable(value="name")
                                                                                                                                        String name)

      Return `TaskAppStatusResource` showing the validation status the apps in a task.
      Parameters:
        `name` - name of the task definition
      Returns:
        The status for the apps in a task definition.

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.